View Issue Details

IDProjectCategoryView StatusLast Update
0001598XdebugCode Coveragepublic2019-01-22 21:58
ReporterderickAssigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.7.0beta1 
Target Version2.7.0rc1Fixed in Version2.7.0rc1 
Summary0001598: Make path/branch coverage work with OPcache loaded for PHP 7.3 and later
DescriptionOPcache's behaviour in PHP 7.3 is different in such that it now initialises after all other extensions, including Xdebug. This means that when Xdebug analyses the possible paths, OPcache can change all of this later and hence path/branch coverage is no longer accurate, or at all working.

This is *also* a problem for line based coverage, where OPcache can randomly remove lines from the view, but as this is likely in places with dead (or stupid) code, this is less than a problem.
TagsNo tags attached.
Operating System
PHP Version7.3.0

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-12-15 17:04 derick New Issue
2018-12-15 17:06 derick PHP Version 7.3-dev => 7.3.0
2018-12-15 17:06 derick Assigned To => derick
2018-12-15 17:06 derick Status new => assigned
2018-12-15 17:06 derick Product Version => 2.7.0beta1
2018-12-15 17:06 derick Target Version => 2.7.0dev
2018-12-23 19:55 derick Summary Disallow path/branch coverage when OPcache is loaded for PHP 7.3 and later => Make path/branch coverage work with OPcache loaded for PHP 7.3 and later
2018-12-23 21:05 derick Status assigned => closed
2018-12-23 21:05 derick Resolution open => fixed
2018-12-23 21:05 derick Fixed in Version => 2.7.0dev
2019-01-22 21:54 derick Fixed in Version 2.7.0dev => 2.7.0rc1
2019-01-22 21:58 derick Target Version 2.7.0dev => 2.7.0rc1